import { world } from "@minecraft/server"
world.events.projectileHit.subscribe(event => {
    const player = event.source
    const victim = event.entityHit.entity
    if (victim.typeId == "sc:grinch" && player.hasTag("test") && player.typeId == "minecraft:player" && victim.typeId !== "sc:sled") {
        world.say("You got me!")
    }
    if (event.projectile.typeId == "minecraft:snowball") { victim.runCommandAsync("damage @s 3") }

    if (victim.typeId == "sc:present_red") {
        victim.runCommandAsync("scoreboard players add Points shoot_game 1")
        victim.runCommandAsync("event entity @s despawn")
        world.say("You got §61 §cpoint§r§f!")
    }
    if (victim.typeId == "sc:present_blue") {
        victim.runCommandAsync("scoreboard players add Points shoot_game 2")
        victim.runCommandAsync("event entity @s despawn")
        world.say("You got §62 §cpoints§r§f!")
    }
    if (victim.typeId == "sc:present_green") {
        victim.runCommandAsync("scoreboard players add Points shoot_game 3")
        victim.runCommandAsync("event entity @s despawn")
        world.say("You got §63 §cpoints§r§f!")
    }
    if (victim.typeId == "sc:fire_spirit") {
        victim.runCommandAsync("event entity @s timer")
        victim.runCommandAsync("scoreboard players add allay r_boss 1")
        victim.runCommandAsync("playanimation @s animation.firespirit.escape")
    }
})